/*
################################################################################
#    Components/Person.cs                                                      #
#                                                                              #
#                                                                              #
################################################################################
*/

using System;
using System.Web;
using System.Collections;

namespace HTMLControls.Components
{
   public class Person : System.Web.UI.Page
   {
      int _age = 0;
      string _name = "";

      public Person()
      {
      }

      public Person(string name, int age)
      {
         this._name = name;
         this._age = age;
      }

      public int Age
      {
         get { return _age; }
         set
         {
            if (value < 0)
               throw new ArgumentException("The age must be a positive number");
            _age = value;
         }
      }

      public string Name
      {
         get { return _name;  }
         set { _name = value; }
      }
	}
}
